//
//	Copyright (c) 2003 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module MODEL;

reg [2:0] STATE;
integer i;

always
begin
  if (i === 32'bx) i = 0;
   case (STATE)
   3'bxxx: STATE = 3'b001;
   3'b001: STATE = 3'b100;
   3'b100: STATE = 3'b000;
   3'b000: STATE = 3'b010;
   3'b0z0: STATE = 3'bx00;
   3'bx00: STATE = 3'b0zz;
   3'b0zz: STATE = 3'b001;
   endcase
   $write("State = %b\n", STATE);
   i = i + 1;
   if (i == 8) $finish;
end

endmodule
