//
//	Copyright (c) 2003 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module MODEL;

reg [7:0] BYTE;

initial

   function [7:0] REVERSE;
      input [7:0] DATA;
   begin
      DATA = {DATA[0], DATA[1], DATA[2], DATA[3],
              DATA[4], DATA[5], DATA[6], DATA[7]};
      return DATA;
   endfunction

begin
   BYTE = REVERSE(8'hA5);
   SWAP({BYTE[7:6], BYTE[1:0]}, BYTE[5:2]);
   $write("Result is %h\n", BYTE);
end

task SWAP(A, B);
   inout [3:0] A, B;

   reg [3:0] TMP;

  TMP = A;
  A = B;
  B = TMP;
endmodule
