//
//	Copyright (c) 2003 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module MODEL;

reg R;

//
// Waveform generator
//
initial
begin
   # 2 R = 1;
   #11 R = 0;
   #11 R = 1;
   # 9 R = 0;
   # 3 R = 1;
   # 3 R = 0;
   # 2 R = 1;
   # 3 R = 0;
   #30 $finish;
end

//
// Samplers
//
reg S1;
always @ (R)
begin
   S1 = #10 R;
end

reg S2;
always @ (R)
begin
   #10 S2 = R;
end

reg S3;
always @ (R)
begin
   S3 <= #10 R;
end

endmodule