//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module DUMP2ROM;

reg  [3:0] A;
wire [7:0] D;
reg        ROM1;

ROM #("rom1.dat") U1(A, D, ROM1);
ROM U2(A, D, ~ROM1);
defparam
   U2.BOOTFILE = "rom2.dat";

initial
begin
   A = 0;
   ROM1 = 1'b1;
   repeat (16) begin
     #100;
     $write("ROM1[%h] = %h\n", A, D);
     A = A + 1;
   end

   $write("\n");

   A = 0;
   ROM1 = 1'b0;
   repeat (16) begin
     #100;
     $write("ROM2[%h] = %h\n", A, D);
     A = A + 1;
   end
end

endmodule
