//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module DUMPROM;

reg  [1:0] A;
wire [63:0] D;

ROM DUMP(A, D, 1'b1);
defparam
   DUMP.DWIDTH   = 64,
   DUMP.AWIDTH   = 2,
   DUMP.STARTA   = 2,
   DUMP.ENDA     = 1,
   DUMP.BOOTFILE = "64x2.memh";

initial
begin
   A = 2;
   repeat (2) begin
     #100;
     $write("ROM[%h] = %h\n", A, D);
     A = A - 1;
   end
end

endmodule
