//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module ROM(A, D, CS);

parameter
   BOOTFILE = "rom.dat";

input  [3:0] A;
output [7:0] D;
input        CS;

reg [7:0] DATA [0:15];

initial $readmemh(BOOTFILE, DATA);

assign D = (CS == 1'b1) ? DATA[A] : 8'hZZ;

endmodule
