//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module TEST_SHIFT;

wire Q;
reg  D, CK;

SHIFT DUT(D, Q, CK);

always
begin
   CK = 0;
   #5;
   CK = 1;
   #5;
end

initial
begin
   D = 0;
   repeat (3) begin
      @ (negedge CK);
      D = ~ D;
   end
   #20;
   $finish;
end

endmodule
