//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module DUMP2ROM;

reg  [3:0] A;
wire [7:0] D1;
wire [3:0] D2;

`define DWIDTH 8
`define BOOTFILE "rom1.dat"
ROM U1(A, D1, 1'b1);

`define DWIDTH 4
`define BOOTFILE "rom2.dat"
ROM U2(A, D2, 1'b1);

initial
begin
   A = 0;
   repeat (16) begin
     #100;
     $write("ROM1[%h] = %h\n", A, D1);
     A = A + 1;
   end

   $write("\n");

   A = 0;
   repeat (16) begin
     #100;
     $write("ROM2[%h] = %h\n", A, D2);
     A = A + 1;
   end
end

endmodule
