//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

`define MEMSIZE 16
`define FORMAT  "Sum is %0d\n"

module MODEL;

integer MEMORY [1:`MEMSIZE];
integer i, SUM;

initial
begin
   SUM = 0;

   for (i = 1; i <= `MEMSIZE; i = i + 1) begin
      MEMORY[i] = i;
      SUM = SUM + i;
   end

   $write(`FORMAT, SUM);
   $finish;
end

endmodule
