//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module ADDER8(A, B, Ci, S, Co);
input [7:0] A, B;
input       Ci;
output [7:0] S;
output       Co;

// Carry chain
wire [6:0] C;

FADD F0(A[0], B[0], Ci, S[0], C[0]);
FADD F1(A[1], B[1], C[0], S[1], C[1]);
FADD F2(A[2], B[2], C[1], S[2], C[2]);
FADD F3(A[3], B[3], C[2], S[3], C[3]);
FADD F4(A[4], B[4], C[3], S[4], C[4]);
FADD F5(A[5], B[5], C[4], S[5], C[5]);
FADD F6(A[6], B[6], C[5], S[6], C[6]);
FADD F7(A[7], B[7], C[6], S[7], Co);

endmodule
