//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

`timescale 1ns/1ns
module DFFS(D, SI, SM, CK, R, Q, Qb);

input D, SI, SM;
input CK, R;
output Q, Qb;

reg Q, Qb;
reg [1:0] QQb;

always @ (posedge CK)
begin
   if (R)       QQb = 2'b01;
   else if (SM) QQb = {SI, ~SI};
   else         QQb = {D, ~D};

   {Q, Qb} <=     QQb;
   {Q, Qb} <= #10 2'bxx;
   {Q, Qb} <= #15 QQb;
end

endmodule