//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module BIT_COUNT(VECTOR, COUNT, BYTE);

input	[31:0]	VECTOR;
output	[ 5:0]	COUNT;
output  [ 3:0]  BYTE;

reg	[ 5:0]	COUNT;
reg     [ 3:0]  BYTE;

always @ (VECTOR)
begin: COUNT_BITS
   integer i;

   COUNT = (((VECTOR[ 0] + VECTOR[ 1] + VECTOR[ 2] + VECTOR[ 3]) +
             (VECTOR[ 4] + VECTOR[ 5] + VECTOR[ 6] + VECTOR[ 7])) +
            ((VECTOR[ 8] + VECTOR[ 9] + VECTOR[10] + VECTOR[11]) +
             (VECTOR[12] + VECTOR[13] + VECTOR[14] + VECTOR[15]))) +
           (((VECTOR[16] + VECTOR[17] + VECTOR[18] + VECTOR[19]) +
             (VECTOR[20] + VECTOR[21] + VECTOR[22] + VECTOR[23])) +
            ((VECTOR[24] + VECTOR[25] + VECTOR[26] + VECTOR[27]) +
             (VECTOR[28] + VECTOR[29] + VECTOR[30] + VECTOR[31])));

   BYTE[0] = |VECTOR[ 7: 0];
   BYTE[1] = |VECTOR[15: 8];
   BYTE[2] = |VECTOR[23:16];
   BYTE[3] = |VECTOR[31:24];
end

endmodule
