//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

`timescale 1 ns / 1 ns

module LOGIC_UNIT(OP, A, B, C, T);

input	[3:0]	OP;	// Opcode
input	[2:0]	A;	// Operand A
input	[2:0]	B;	// Operand B
output	[2:0]	C;	// Result
output		T;	// Test result

//
// Please write a synthesizable description of a logical unit
// which performs the following operations according to the
// specified opcode:
// 
// Opcode	Operation
//  0000	 C <- Logical bitwise-and of A and B
//  0001	 C <- Logical bitwise-or of A and B
//  1000	 T is '1' if A, a 2's complement number, is less than 0
//               otherwise T is '0'.
//  1001	 T is '1' if B, a 2's complement number, is less than 0
//               otherwise T is '0'.

endmodule
