//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

`timescale 1 ns / 1 ns

module GRAY_COUNT(CK, CNT, RST);

input		CK;
output	[2:0]	CNT;
input		RST;

//
// Please specify a synthesizable description of a 3-bit gray counter
// with asynchronous active high reset. The counter is active on the
// rising clock edge.
// 
// A gray counter is a counter whose successive output values differ
// only by one 1 bit (e.g. 10, 11, 01, 00, 10, ...)
// 

endmodule
