//
//	Copyright (c) 2003 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module TRY;

reg [7:0] RESULT;

initial
begin
   RESULT = 1;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = 1'b1;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = -1;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = -1'b1;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = 1 << 1;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = 1'b1 << 1;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = &4'b1111;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = &4'b111;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = |4'b0x10;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = |4'b0x00;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = 4'b1111 & 1;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = ~4'b1000;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = !4'b1000;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = (1'b1) ? 1'bz : 3'bx;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = (1'bx) ? 1'b1 : 1'b0;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = (!1'bx) ? 1'b1 : 1'b0;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = (2'b10 & 2'b01) ? 1'b1 : 1'b0;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = (2'b10 && 2'b01) ? 1'b1 : 1'b0;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = (1'bx == 1'bx) ? 1'b1 : 1'b0;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = (1'bx === 1'bx) ? 1'b1 : 1'b0;
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = {1'b1, {2'b01, 3'b1}};
   $write("RESULT = \"%b\"\n", RESULT);
   RESULT = {3{1'b1, 2'bz}};
   $write("RESULT = \"%b\"\n", RESULT);
end

endmodule
