//
//	Copyright (c) 1998 Qualis Design Corporation.
//	All rights reserved.
//
//	Qualis Design Corporation
//	PO Box 4444
//	Beaverton OR 97075-4444
//	Phone: +1-503-670-7200
//	E-mail: info@qualis.com
//	World Wide Web: http://www.qualis.com	
//

module MODEL;

wand [3:0] BUS;
reg  [3:0] SELECT;

assign BUS = (SELECT[0] == 1'b1) ? 4'b0001 : 4'bzzzz;
assign BUS = (SELECT[1] == 1'b1) ? 4'b0010 : 4'bzzzz;
assign BUS = (SELECT[2] == 1'b1) ? 4'b0100 : 4'bzzzz;
assign BUS = (SELECT[3] == 1'b1) ? 4'b1000 : 4'bzzzz;

initial
begin
       SELECT = 4'b0000;
   #50 SELECT = 4'b0001;
   #50 SELECT = 4'b0010;
   #50 SELECT = 4'b0100;
   #50 SELECT = 4'b1000;
   #50 SELECT = 4'b1100;
   #50 SELECT = 4'b1110;
   #50 SELECT = 4'b1111;
   #50 SELECT = 4'b0000;
   #50 SELECT = 4'bx000;
end

initial
begin
   $write("SELECT   BUS   time\n");
   forever begin
      @ (BUS);
      $write(" %b   %b   %0d\n", SELECT, BUS, $time);
   end
end

endmodule