//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module RFILE(A, B, ADDR, BUS);
input  [3:0] A, B;
output [3:0] BUS;
input  [3:0] ADDR;

wire IS_A, IS_B;

and(IS_A, ~ADDR[3], ~ADDR[2], ~ADDR[1],  ADDR[0]);
and(IS_B, ~ADDR[3],  ADDR[2],  ADDR[1], ~ADDR[0]);

bufif1(BUS[0], A[0], IS_A);
bufif1(BUS[1], A[1], IS_A);
bufif1(BUS[2], A[2], IS_A);
bufif1(BUS[3], A[3], IS_A);

bufif1(BUS[0], B[0], IS_B);
bufif1(BUS[1], B[1], IS_B);
bufif1(BUS[2], B[2], IS_B);
bufif1(BUS[3], B[3], IS_B);

endmodule
