//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

`timescale 1ns/1ns
module MONITOR;

integer R;

initial
begin
   $timeformat(-9, 0, " ns", 4);
   $monitor("                       MONTR: %t R = %0d", $time, R);
end

// Monitor register R
always @ (R)
begin
   $display("DSPLY: %t R = %0d", $time, R);
end


// Generate some events on R
// DO NOT CHANGE ANYTHING BELOW
initial
begin
      R = 0;
   #1 R = 1;
   #1 R = 2;
   #0 R = 3;
   #1 R = 4;
   #0 R = 5;
   #0 R = 6;
   #1 R = 7;
   #0 R = 8;
   #1 R = 9;
end

endmodule
