//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

`timescale 1ns/1ns
module ARBITER(RQ, GT);

input  RQ;
output GT;

reg GT;

initial
begin
   GT = 1'b1;

   forever begin
      wait (RQ === 1'b0);
      GT <= #50 1'b0;
      wait (RQ !== 1'b0);
      disable BOINK;
      GT <= #4 1'b1;
   end
end

always @ (negedge GT)
begin: BOINK
   #10;
   GT = 1'bx;
   #10;
   GT = 1'b0;
end

endmodule
