//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module MODEL;

reg CLK, R;

initial
begin
   R = 0;
   begin: DONE
      forever begin
         @ (posedge CLK);
         if (R == 1'b1) disable DONE;
      end
   end
   $write("Done.\n");
   $finish;
end


// You should not have to modify anything below
initial
begin
   repeat (20) begin
      CLK = 0;
      #10;
      CLK = 1;
      #10;
   end

   R = 1;

   forever begin
      CLK = 0;
      #10;
      CLK = 1;
      #10;
   end
end

endmodule
