//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module FADD(A, B, Ci, S, Co);
input A, B, Ci;
output S, Co;

// Full adder using gates
XR3 U0(S, A, B, Ci);
AD2 U1(AB, A, B);
AD2 U2(BC, B, Ci);
AD2 U3(AC, A, Ci);
OR3 U4(Co, AB, BC, AC);

endmodule
