//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module TEST_FSM;

reg FRAME, CLK, RST;

FSM DUT(FRAME, CLK, RST);

always
begin
   CLK = 1'b0;
   #50;
   CLK = 1'b1;
   #50;
end

initial
begin
   FRAME = 0;
   RST = 1;
   repeat (2) @ (negedge CLK);
   RST = 0;
   repeat (2) @ (negedge CLK);
   FRAME = 1;
   repeat (4) @ (negedge CLK);
   FRAME = 0;
   repeat (1) @ (negedge CLK);
   FRAME = 1;
   repeat (2) @ (negedge CLK);
   FRAME = 0;
   repeat (3) @ (negedge CLK);
   FRAME = 1;
   repeat (1) @ (negedge CLK);
   FRAME = 0;
   repeat (2) @ (negedge CLK);
   FRAME = 1;
   repeat (5) @ (negedge CLK);
   FRAME = 1;
   repeat (5) @ (negedge CLK);
   RST = 1;
   repeat (2) @ (negedge CLK);
   RST = 0;
   repeat (5) @ (negedge CLK);
   $finish;
end

always @ (posedge CLK)
begin
   $write("State = %b\n", DUT.STATE);
end

endmodule
