//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

`timescale 1ns/1ns
module THING(A, WR, D, ADS, READY, INT, CLK, RST);
input  [7:0] A;
input        WR;
inout  [7:0] D;
input 	     ADS;
output 	     READY;
output 	INT;
input 	CLK;
input 	RST;

//
// Interface to the LMC model
//
defparam LMC.TimingVersion = "XC4005E_84-3",
	 LMC.SCFFile       = "thing.mcf";
   
xc4005e_84 LMC(
	.A10	(),
	.A11	(),
	.A12	(A[6]),
	.A13	(A[5]),
	.A14	(A[2]),
	.A17	(),
	.A3	(),
	.A4	(),
	.A5	(),
	.A6	(),
	.A7	(),
	.A8	(),
	.A9	(),
	.CCLK	(),
	.CS0	(RST),
	.CS1_A2	(),
	.D0_DIN	(),
	.D1	(),
	.D2	(),
	.D3	(A[4]),
	.D4	(INT),
	.D5	(READY),
	.D6	(ADS),
	.D7	(),
	.DONE	(),
	.ERR_INIT	(),
	.HDC	(A[0]),
	.LDC	(D[2]),
	.M0	(),
	.M1	(),
	.M2	(),
	.PAD100	(D[4]),
	.PAD103	(),
	.PAD37	(),
	.PAD43	(A[3]),
	.PAD58	(),
	.PAD61	(),
	.PAD62	(),
	.PAD65	(),
	.PAD66	(),
	.PAD69	(),
	.PAD70	(),
	.PAD72	(),
	.PAD75	(),
	.PAD76	(),
	.PAD86	(D[7]),
	.PAD90	(D[6]),
	.PAD93	(D[0]),
	.PAD94	(D[3]),
	.PAD97	(D[1]),
	.PAD98	(A[1]),
	.PAD99	(D[5]),
	.PGCK1_A16	(),
	.PGCK2	(WR),
	.PGCK3	(),
	.PGCK4_A1	(),
	.PROGRAM	(),
	.RDY_BUSY_RCLK	(),
	.RS	(),
	.SGCK1_A15	(A[7]),
	.SGCK2	(CLK),
	.SGCK3	(),
	.SGCK4_DOUT	(),
	.TCK	(),
	.TDI	(),
	.TDO	(),
	.TMS	(),
	.WS_A0	());
endmodule
