//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

/* program @(#)$CDS: xnf2verilog version 9504 01/19/96 10:12 (cds9252) $ */
/* Created from thingt.xcd on Wed Sep 24 17:05:31 1997 */
/* PART 4005EPC84-3 */

`timescale 1 ns/100 ps
module THING(
	WR, RST, READY, INT, D, CLK, ADS, A);

   input WR;
   input RST;
   output READY;
   output INT;
   inout [7:0] D;
   input CLK;
   input ADS;
   input [7:0] A;
wire [8:8] un16_i;
wire [7:0] STATUS_8;
wire [7:0] STATUS;
wire [1:1] STATE_9;
wire [1:0] STATE;
wire [7:0] MASK_7;
wire [7:0] MASK;
wire [7:0] D_1_c;
wire [7:0] COUNT;
wire [7:0] A_c;
supply1 XVDD;
supply0 XGND;

and2b2 NG_149__and0 (.o(G_149__and0), .i1(STATE[1]), .i0(RST_c));
buff G_149__or (.o(un44_2), .i(G_149__and0));
fdce NCOUNT_fx6 (.gsr(thingt_globals.GSR), .clr(XGND), .ce(XVDD), .q(COUNT[6]), .c(CLK_c), .d(COUNT_fx6));
ibuf D_ibuf_0_ (.o(D_1_c[0]), .i(D[0]));
and3b2 NCOUNT_g5__and0 (.o(COUNT_g5__and0), .i1(RST_c), .i0(COUNT_c5), .i2(COUNT[5]));
and3b2 NCOUNT_g5__and1 (.o(COUNT_g5__and1), .i1(RST_c), .i2(COUNT_c5), .i0(COUNT[5]));
and4b2 NCOUNT_g5__and2 (.o(COUNT_g5__and2), .i3(XGND), .i1(RST_c), .i0(COUNT_c5), .i2(COUNT[5]));
and4b2 NCOUNT_g5__and3 (.o(COUNT_g5__and3), .i3(XGND), .i1(RST_c), .i2(COUNT_c5), .i0(COUNT[5]));
and2 NCOUNT_g5__and4 (.o(COUNT_g5__and4), .i0(XGND), .i1(RST_c));
or5 COUNT_g5__or (.o(COUNT_fy5), .i4(COUNT_g5__and4), .i3(COUNT_g5__and3), .i2(COUNT_g5__and2), .i1(COUNT_g5__and1), .i0(COUNT_g5__and0));
and2b1 NG_148__and0 (.o(G_148__and0), .i1(STATE[0]), .i0(RST_c));
buff G_148__or (.o(STATE_9[1]), .i(G_148__and0));
and3b2 NCOUNT_f4__and0 (.o(COUNT_f4__and0), .i1(RST_c), .i0(COUNT_c4), .i2(COUNT[4]));
and3b2 NCOUNT_f4__and1 (.o(COUNT_f4__and1), .i1(RST_c), .i2(COUNT_c4), .i0(COUNT[4]));
and4b2 NCOUNT_f4__and2 (.o(COUNT_f4__and2), .i3(XGND), .i1(RST_c), .i0(COUNT_c4), .i2(COUNT[4]));
and4b2 NCOUNT_f4__and3 (.o(COUNT_f4__and3), .i3(XGND), .i1(RST_c), .i2(COUNT_c4), .i0(COUNT[4]));
and2 NCOUNT_f4__and4 (.o(COUNT_f4__and4), .i0(XGND), .i1(RST_c));
or5 COUNT_f4__or (.o(COUNT_fx4), .i4(COUNT_f4__and4), .i3(COUNT_f4__and3), .i2(COUNT_f4__and2), .i1(COUNT_f4__and1), .i0(COUNT_f4__and0));
and4b2 NG_131_2__and0 (.o(G_131_2__and0), .i1(N_173_c), .i3(WR_c), .i2(A_c[0]), .i0(RST_c));
buff G_131_2__or (.o(G_131_3), .i(G_131_2__and0));
cy4 COUNT_c5_6__cy4 (.b0(), .add(), .b1(), .c7(CYMODE__1_7), .c6(CYMODE__1_6), .c5(CYMODE__1_5), .c4(CYMODE__1_4), .c3(CYMODE__1_3), .c2(CYMODE__1_2), .c1(CYMODE__1_1), .c0(CYMODE__1_0), .cout(COUNT_c6), .cout0(COUNT_c5), .a1(COUNT[5]), .a0(COUNT[4]), .cin(COUNT_c4));
cy4_18 COUNT_c5_6__cymode (.c7(CYMODE__1_7), .c6(CYMODE__1_6), .c5(CYMODE__1_5), .c4(CYMODE__1_4), .c3(CYMODE__1_3), .c2(CYMODE__1_2), .c1(CYMODE__1_1), .c0(CYMODE__1_0));
and3b2 NG_208__and0 (.o(G_208__and0), .i1(A_c[0]), .i0(N_170_i_0), .i2(MASK[7]));
and3b1 NG_208__and1 (.o(G_208__and1), .i0(A_c[0]), .i2(N_170_i_0), .i1(STATUS[7]));
and2 NG_208__and2 (.o(G_208__and2), .i0(A_c[0]), .i1(MASK[7]));
or3 G_208__or (.o(N_186), .i2(G_208__and2), .i1(G_208__and1), .i0(G_208__and0));
ibuf WR_ibuf (.o(WR_c), .i(WR));
and3b2 NG_207__and0 (.o(G_207__and0), .i1(A_c[0]), .i0(N_170_i_0_1), .i2(MASK[6]));
and3b1 NG_207__and1 (.o(G_207__and1), .i0(A_c[0]), .i2(N_170_i_0_1), .i1(STATUS[6]));
and2 NG_207__and2 (.o(G_207__and2), .i0(A_c[0]), .i1(MASK[6]));
or3 G_207__or (.o(N_185), .i2(G_207__and2), .i1(G_207__and1), .i0(G_207__and0));
and4b1 NG_105_2__and0 (.o(G_105_2__and0), .i3(STATUS[1]), .i2(STATUS[0]), .i1(STATUS[2]), .i0(RST_c));
buff G_105_2__or (.o(N_193), .i(G_105_2__and0));
and3b2 NG_206__and0 (.o(G_206__and0), .i1(A_c[0]), .i0(N_170_i_0), .i2(MASK[5]));
and3b1 NG_206__and1 (.o(G_206__and1), .i0(A_c[0]), .i2(N_170_i_0), .i1(STATUS[5]));
and2 NG_206__and2 (.o(G_206__and2), .i0(A_c[0]), .i1(MASK[5]));
or3 G_206__or (.o(N_184), .i2(G_206__and2), .i1(G_206__and1), .i0(G_206__and0));
ibuf A_ibuf_7_ (.o(A_c[7]), .i(A[7]));
fdce NCOUNT_fy5 (.gsr(thingt_globals.GSR), .clr(XGND), .ce(XVDD), .q(COUNT[5]), .c(CLK_c), .d(COUNT_fy5));
and3b2 NG_205__and0 (.o(G_205__and0), .i1(A_c[0]), .i0(N_170_i_0_1), .i2(MASK[4]));
and3b1 NG_205__and1 (.o(G_205__and1), .i0(A_c[0]), .i2(N_170_i_0_1), .i1(STATUS[4]));
and2 NG_205__and2 (.o(G_205__and2), .i0(A_c[0]), .i1(MASK[4]));
or3 G_205__or (.o(N_183), .i2(G_205__and2), .i1(G_205__and1), .i0(G_205__and0));
fdce NCOUNT_fx4 (.gsr(thingt_globals.GSR), .clr(XGND), .ce(XVDD), .q(COUNT[4]), .c(CLK_c), .d(COUNT_fx4));
and3b2 NG_204__and0 (.o(G_204__and0), .i1(A_c[0]), .i0(N_170_i_0), .i2(MASK[3]));
and3b1 NG_204__and1 (.o(G_204__and1), .i0(A_c[0]), .i2(N_170_i_0), .i1(STATUS[3]));
and2 NG_204__and2 (.o(G_204__and2), .i0(A_c[0]), .i1(MASK[3]));
or3 G_204__or (.o(N_182), .i2(G_204__and2), .i1(G_204__and1), .i0(G_204__and0));
ibuf A_ibuf_6_ (.o(A_c[6]), .i(A[6]));
and3b2 NCOUNT_g3__and0 (.o(COUNT_g3__and0), .i1(RST_c), .i0(COUNT_c3), .i2(COUNT[3]));
and3b2 NCOUNT_g3__and1 (.o(COUNT_g3__and1), .i1(RST_c), .i2(COUNT_c3), .i0(COUNT[3]));
and4b2 NCOUNT_g3__and2 (.o(COUNT_g3__and2), .i3(XGND), .i1(RST_c), .i0(COUNT_c3), .i2(COUNT[3]));
and4b2 NCOUNT_g3__and3 (.o(COUNT_g3__and3), .i3(XGND), .i1(RST_c), .i2(COUNT_c3), .i0(COUNT[3]));
and2 NCOUNT_g3__and4 (.o(COUNT_g3__and4), .i0(XGND), .i1(RST_c));
or5 COUNT_g3__or (.o(COUNT_fy3), .i4(COUNT_g3__and4), .i3(COUNT_g3__and3), .i2(COUNT_g3__and2), .i1(COUNT_g3__and1), .i0(COUNT_g3__and0));
and3b2 NG_203__and0 (.o(G_203__and0), .i1(A_c[0]), .i0(N_170_i_0_1), .i2(MASK[2]));
and3b1 NG_203__and1 (.o(G_203__and1), .i0(A_c[0]), .i2(N_170_i_0_1), .i1(STATUS[2]));
and2 NG_203__and2 (.o(G_203__and2), .i0(A_c[0]), .i1(MASK[2]));
or3 G_203__or (.o(N_181), .i2(G_203__and2), .i1(G_203__and1), .i0(G_203__and0));
and3b2 NCOUNT_f2__and0 (.o(COUNT_f2__and0), .i1(RST_c), .i0(COUNT_c2), .i2(COUNT[2]));
and3b2 NCOUNT_f2__and1 (.o(COUNT_f2__and1), .i1(RST_c), .i2(COUNT_c2), .i0(COUNT[2]));
and4b2 NCOUNT_f2__and2 (.o(COUNT_f2__and2), .i3(XGND), .i1(RST_c), .i0(COUNT_c2), .i2(COUNT[2]));
and4b2 NCOUNT_f2__and3 (.o(COUNT_f2__and3), .i3(XGND), .i1(RST_c), .i2(COUNT_c2), .i0(COUNT[2]));
and2 NCOUNT_f2__and4 (.o(COUNT_f2__and4), .i0(XGND), .i1(RST_c));
or5 COUNT_f2__or (.o(COUNT_fx2), .i4(COUNT_f2__and4), .i3(COUNT_f2__and3), .i2(COUNT_f2__and2), .i1(COUNT_f2__and1), .i0(COUNT_f2__and0));
and3b2 NG_202__and0 (.o(G_202__and0), .i1(A_c[0]), .i0(N_170_i_0), .i2(MASK[1]));
and3b1 NG_202__and1 (.o(G_202__and1), .i0(A_c[0]), .i2(N_170_i_0), .i1(STATUS[1]));
and2 NG_202__and2 (.o(G_202__and2), .i0(A_c[0]), .i1(MASK[1]));
or3 G_202__or (.o(N_180), .i2(G_202__and2), .i1(G_202__and1), .i0(G_202__and0));
and3 NG_120__and0 (.o(G_120__and0), .i0(G_131_3), .i1(N_170_i_0_1), .i2(D_1_c[7]));
buff G_120__or (.o(MASK_7[7]), .i(G_120__and0));
ibuf A_ibuf_5_ (.o(A_c[5]), .i(A[5]));
cy4 COUNT_c3_4__cy4 (.b0(), .add(), .b1(), .c7(CYMODE__2_7), .c6(CYMODE__2_6), .c5(CYMODE__2_5), .c4(CYMODE__2_4), .c3(CYMODE__2_3), .c2(CYMODE__2_2), .c1(CYMODE__2_1), .c0(CYMODE__2_0), .cout(COUNT_c4), .cout0(COUNT_c3), .a1(COUNT[3]), .a0(COUNT[2]), .cin(COUNT_c2));
cy4_18 COUNT_c3_4__cymode (.c7(CYMODE__2_7), .c6(CYMODE__2_6), .c5(CYMODE__2_5), .c4(CYMODE__2_4), .c3(CYMODE__2_3), .c2(CYMODE__2_2), .c1(CYMODE__2_1), .c0(CYMODE__2_0));
and3b2 NG_201__and0 (.o(G_201__and0), .i1(A_c[0]), .i0(N_170_i_0), .i2(MASK[0]));
and3b1 NG_201__and1 (.o(G_201__and1), .i0(A_c[0]), .i2(N_170_i_0), .i1(STATUS[0]));
and2 NG_201__and2 (.o(G_201__and2), .i0(A_c[0]), .i1(MASK[0]));
or3 G_201__or (.o(N_179), .i2(G_201__and2), .i1(G_201__and1), .i0(G_201__and0));
or2b1 G_200__or (.o(N_178), .i1(un16_i[8]), .i0(STATUS[0]));
and3 NG_119__and0 (.o(G_119__and0), .i0(G_131_3), .i1(N_170_i_0_1), .i2(D_1_c[6]));
buff G_119__or (.o(MASK_7[6]), .i(G_119__and0));
ibuf A_ibuf_4_ (.o(A_c[4]), .i(A[4]));
fdce NCOUNT_fy3 (.gsr(thingt_globals.GSR), .clr(XGND), .ce(XVDD), .q(COUNT[3]), .c(CLK_c), .d(COUNT_fy3));
and2b1 NG_118__and0 (.o(G_118__and0), .i0(N_173_c), .i1(RST_c));
and3b2 NG_118__and1 (.o(G_118__and1), .i1(N_173_c), .i2(WR_c), .i0(N_171_i_0));
and3b1 NG_118__and2 (.o(G_118__and2), .i0(N_173_c), .i2(WR_c), .i1(RST_c));
or4 G_118__or (.o(N_206_i), .i3(RST_c), .i2(G_118__and2), .i1(G_118__and1), .i0(G_118__and0));
ibuf A_ibuf_3_ (.o(A_c[3]), .i(A[3]));
fdce NCOUNT_fx2 (.gsr(thingt_globals.GSR), .clr(XGND), .ce(XVDD), .q(COUNT[2]), .c(CLK_c), .d(COUNT_fx2));
and3b2 NCOUNT_g1__and0 (.o(COUNT_g1__and0), .i1(RST_c), .i0(COUNT_c1), .i2(COUNT[1]));
and3b2 NCOUNT_g1__and1 (.o(COUNT_g1__and1), .i1(RST_c), .i2(COUNT_c1), .i0(COUNT[1]));
and4b2 NCOUNT_g1__and2 (.o(COUNT_g1__and2), .i3(XGND), .i1(RST_c), .i0(COUNT_c1), .i2(COUNT[1]));
and4b2 NCOUNT_g1__and3 (.o(COUNT_g1__and3), .i3(XGND), .i1(RST_c), .i2(COUNT_c1), .i0(COUNT[1]));
and2 NCOUNT_g1__and4 (.o(COUNT_g1__and4), .i0(XGND), .i1(RST_c));
or5 COUNT_g1__or (.o(COUNT_fy1), .i4(COUNT_g1__and4), .i3(COUNT_g1__and3), .i2(COUNT_g1__and2), .i1(COUNT_g1__and1), .i0(COUNT_g1__and0));
and3 NG_117__and0 (.o(G_117__and0), .i0(G_131_3), .i1(N_170_i_0), .i2(D_1_c[5]));
buff G_117__or (.o(MASK_7[5]), .i(G_117__and0));
ibuf A_ibuf_2_ (.o(A_c[2]), .i(A[2]));
and3b2 NCOUNT_f0__and0 (.o(COUNT_f0__and0), .i1(RST_c), .i0(XVDD), .i2(COUNT[0]));
and3b2 NCOUNT_f0__and1 (.o(COUNT_f0__and1), .i1(RST_c), .i2(XVDD), .i0(COUNT[0]));
and4b2 NCOUNT_f0__and2 (.o(COUNT_f0__and2), .i3(XGND), .i1(RST_c), .i0(XVDD), .i2(COUNT[0]));
and4b2 NCOUNT_f0__and3 (.o(COUNT_f0__and3), .i3(XGND), .i1(RST_c), .i2(XVDD), .i0(COUNT[0]));
and2 NCOUNT_f0__and4 (.o(COUNT_f0__and4), .i0(XGND), .i1(RST_c));
or5 COUNT_f0__or (.o(COUNT_fx0), .i4(COUNT_f0__and4), .i3(COUNT_f0__and3), .i2(COUNT_f0__and2), .i1(COUNT_f0__and1), .i0(COUNT_f0__and0));
or2b1 G_195__or (.o(N_173_c), .i1(STATE[0]), .i0(STATE[1]));
cy4 COUNT_c1_2__cy4 (.b0(), .add(), .b1(), .cin(), .c7(CYMODE__3_7), .c6(CYMODE__3_6), .c5(CYMODE__3_5), .c4(CYMODE__3_4), .c3(CYMODE__3_3), .c2(CYMODE__3_2), .c1(CYMODE__3_1), .c0(CYMODE__3_0), .cout(COUNT_c2), .cout0(COUNT_c1), .a1(COUNT[1]), .a0(COUNT[0]));
cy4_19 COUNT_c1_2__cymode (.c7(CYMODE__3_7), .c6(CYMODE__3_6), .c5(CYMODE__3_5), .c4(CYMODE__3_4), .c3(CYMODE__3_3), .c2(CYMODE__3_2), .c1(CYMODE__3_1), .c0(CYMODE__3_0));
and3b2 NG_194__and1 (.o(G_194__and1), .i2(STATUS[0]), .i1(un16_i[8]), .i0(STATUS[2]));
and3b1 NG_194__and2 (.o(G_194__and2), .i2(STATUS[0]), .i0(un16_i[8]), .i1(RST_c));
and2 NG_194__and3 (.o(G_194__and3), .i0(STATUS[0]), .i1(RST_c));
or4 G_194__or (.o(N_172), .i3(G_194__and3), .i2(G_194__and2), .i1(G_194__and1), .i0(RST_c));
and3 NG_116__and0 (.o(G_116__and0), .i0(G_131_3), .i1(N_170_i_0_1), .i2(D_1_c[4]));
buff G_116__or (.o(MASK_7[4]), .i(G_116__and0));
ibuf A_ibuf_1_ (.o(A_c[1]), .i(A[1]));
and2b1 NG_193__and0 (.o(G_193__and0), .i0(A_c[0]), .i1(N_170_i_0_1));
buff G_193__or (.o(N_171_i_0), .i(G_193__and0));
and4b4 NG_192__and0 (.o(G_192__and0), .i3(A_c[1]), .i2(A_c[2]), .i1(A_c[7]), .i0(N_168));
buff G_192__or (.o(N_170_i_0), .i(G_192__and0));
and3 NG_115__and0 (.o(G_115__and0), .i0(G_131_3), .i1(N_170_i_0), .i2(D_1_c[3]));
buff G_115__or (.o(MASK_7[3]), .i(G_115__and0));
ibuf A_ibuf_0_ (.o(A_c[0]), .i(A[0]));
fdce NCOUNT_fy1 (.gsr(thingt_globals.GSR), .clr(XGND), .ce(XVDD), .q(COUNT[1]), .c(CLK_c), .d(COUNT_fy1));
fdce NCOUNT_fx0 (.gsr(thingt_globals.GSR), .clr(XGND), .ce(XVDD), .q(COUNT[0]), .c(CLK_c), .d(COUNT_fx0));
or4 G_190__or (.o(N_168), .i3(A_c[3]), .i2(A_c[4]), .i1(A_c[5]), .i0(A_c[6]));
and3 NG_114__and0 (.o(G_114__and0), .i0(G_131_3), .i1(N_170_i_0_1), .i2(D_1_c[2]));
buff G_114__or (.o(MASK_7[2]), .i(G_114__and0));
ibuf RST_ibuf (.o(RST_c), .i(RST));
and3 NG_113__and0 (.o(G_113__and0), .i0(G_131_3), .i1(N_170_i_0), .i2(D_1_c[1]));
buff G_113__or (.o(MASK_7[1]), .i(G_113__and0));
and3 NG_112__and0 (.o(G_112__and0), .i0(G_131_3), .i1(N_170_i_0_1), .i2(D_1_c[0]));
buff G_112__or (.o(MASK_7[0]), .i(G_112__and0));
fdce NMASK_0_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(MASK[0]), .ce(N_206_i), .c(CLK_c), .d(MASK_7[0]));
fdce NMASK_1_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(MASK[1]), .ce(N_206_i), .c(CLK_c), .d(MASK_7[1]));
fdce NMASK_2_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(MASK[2]), .ce(N_206_i), .c(CLK_c), .d(MASK_7[2]));
or2b1 STATUS_8_3_0___or (.o(STATUS_8[0]), .i1(N_83_i), .i0(N_172));
and2b2 NG_111__and0 (.o(G_111__and0), .i1(MASK[1]), .i0(N_164_i_0));
and2b1 NG_111__and1 (.o(G_111__and1), .i0(MASK[1]), .i1(STATUS[1]));
or3b1 G_111__or (.o(N_199_i_c), .i0(N_164_i_0), .i2(G_111__and1), .i1(G_111__and0));
fdce NMASK_3_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(MASK[3]), .ce(N_206_i), .c(CLK_c), .d(MASK_7[3]));
and2b2 NSTATUS_8_3_1___and0 (.o(STATUS_8_3_1___and0), .i1(N_172), .i0(N_83_i));
and2b1 NSTATUS_8_3_1___and1 (.o(STATUS_8_3_1___and1), .i1(STATUS[1]), .i0(N_172));
and3 NSTATUS_8_3_1___and2 (.o(STATUS_8_3_1___and2), .i0(STATUS[1]), .i1(N_172), .i2(N_83_i));
or3 STATUS_8_3_1___or (.o(STATUS_8[1]), .i2(STATUS_8_3_1___and2), .i1(STATUS_8_3_1___and1), .i0(STATUS_8_3_1___and0));
fdce NMASK_4_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(MASK[4]), .ce(N_206_i), .c(CLK_c), .d(MASK_7[4]));
and2b2 NSTATUS_8_3_2___and0 (.o(STATUS_8_3_2___and0), .i1(N_178), .i0(RST_c));
and2b1 NSTATUS_8_3_2___and1 (.o(STATUS_8_3_2___and1), .i1(STATUS[2]), .i0(RST_c));
or2 STATUS_8_3_2___or (.o(STATUS_8[2]), .i1(STATUS_8_3_2___and1), .i0(STATUS_8_3_2___and0));
fdce NMASK_5_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(MASK[5]), .ce(N_206_i), .c(CLK_c), .d(MASK_7[5]));
and2b1 NSTATUS_8_3_3___and0 (.o(STATUS_8_3_3___and0), .i0(N_172), .i1(STATUS[3]));
and2 NSTATUS_8_3_3___and1 (.o(STATUS_8_3_3___and1), .i0(STATUS[3]), .i1(N_83_i));
or2 STATUS_8_3_3___or (.o(STATUS_8[3]), .i1(STATUS_8_3_3___and1), .i0(STATUS_8_3_3___and0));
fdce NMASK_6_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(MASK[6]), .ce(N_206_i), .c(CLK_c), .d(MASK_7[6]));
ofdtx D_outff_7_ (.gts(thingt_globals.GTS), .gsr(thingt_globals.GSR), .o(D[7]), .t(N_173_c), .ce(N_197), .c(CLK_c), .d(N_186));
and2b1 NSTATUS_8_3_4___and0 (.o(STATUS_8_3_4___and0), .i0(N_172), .i1(STATUS[4]));
and2 NSTATUS_8_3_4___and1 (.o(STATUS_8_3_4___and1), .i0(STATUS[4]), .i1(N_83_i));
or2 STATUS_8_3_4___or (.o(STATUS_8[4]), .i1(STATUS_8_3_4___and1), .i0(STATUS_8_3_4___and0));
fdce NMASK_7_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(MASK[7]), .ce(N_206_i), .c(CLK_c), .d(MASK_7[7]));
ofdtx D_outff_6_ (.gts(thingt_globals.GTS), .gsr(thingt_globals.GSR), .o(D[6]), .t(N_173_c), .ce(N_197), .c(CLK_c), .d(N_185));
and2b1 NSTATUS_8_3_5___and0 (.o(STATUS_8_3_5___and0), .i0(N_172), .i1(STATUS[5]));
and2 NSTATUS_8_3_5___and1 (.o(STATUS_8_3_5___and1), .i0(STATUS[5]), .i1(N_83_i));
or2 STATUS_8_3_5___or (.o(STATUS_8[5]), .i1(STATUS_8_3_5___and1), .i0(STATUS_8_3_5___and0));
ofdtx D_outff_5_ (.gts(thingt_globals.GTS), .gsr(thingt_globals.GSR), .o(D[5]), .t(N_173_c), .ce(N_197), .c(CLK_c), .d(N_184));
and2b1 NSTATUS_8_3_6___and0 (.o(STATUS_8_3_6___and0), .i0(N_172), .i1(STATUS[6]));
and2 NSTATUS_8_3_6___and1 (.o(STATUS_8_3_6___and1), .i0(STATUS[6]), .i1(N_83_i));
or2 STATUS_8_3_6___or (.o(STATUS_8[6]), .i1(STATUS_8_3_6___and1), .i0(STATUS_8_3_6___and0));
ofdtx D_outff_4_ (.gts(thingt_globals.GTS), .gsr(thingt_globals.GSR), .o(D[4]), .t(N_173_c), .ce(N_197), .c(CLK_c), .d(N_183));
and2b1 NSTATUS_8_3_7___and0 (.o(STATUS_8_3_7___and0), .i0(N_172), .i1(STATUS[7]));
and2 NSTATUS_8_3_7___and1 (.o(STATUS_8_3_7___and1), .i0(STATUS[7]), .i1(N_83_i));
or2 STATUS_8_3_7___or (.o(STATUS_8[7]), .i1(STATUS_8_3_7___and1), .i0(STATUS_8_3_7___and0));
bufg CLK_ibuf (.o(CLK_c), .i(CLK));
ofdtx D_outff_3_ (.gts(thingt_globals.GTS), .gsr(thingt_globals.GSR), .o(D[3]), .t(N_173_c), .ce(N_197), .c(CLK_c), .d(N_182));
ofdtx D_outff_2_ (.gts(thingt_globals.GTS), .gsr(thingt_globals.GSR), .o(D[2]), .t(N_173_c), .ce(N_197), .c(CLK_c), .d(N_181));
obuf INT_obuf (.gts(thingt_globals.GTS), .o(INT), .i(N_199_i_c));
ofdtx D_outff_1_ (.gts(thingt_globals.GTS), .gsr(thingt_globals.GSR), .o(D[1]), .t(N_173_c), .ce(N_197), .c(CLK_c), .d(N_180));
ofdtx D_outff_0_ (.gts(thingt_globals.GTS), .gsr(thingt_globals.GSR), .o(D[0]), .t(N_173_c), .ce(N_197), .c(CLK_c), .d(N_179));
obuf READY_obuf (.gts(thingt_globals.GTS), .o(READY), .i(N_173_c));
or3 I_214__or (.o(N_239), .i2(A_c[1]), .i1(A_c[2]), .i0(A_c[7]));
ibuf ADS_ibuf (.o(ADS_c), .i(ADS));
and2b2 NG_192_1__and0 (.o(G_192_1__and0), .i1(N_239), .i0(N_168));
buff G_192_1__or (.o(N_170_i_0_1), .i(G_192_1__and0));
ibuf D_ibuf_7_ (.o(D_1_c[7]), .i(D[7]));
and3b3 NG_186_10__and0 (.o(G_186_10__and0), .i2(STATUS[0]), .i1(G_186_7), .i0(G_186_5));
and3b2 NG_186_10__and1 (.o(G_186_10__and1), .i2(MASK[0]), .i1(G_186_7), .i0(G_186_5));
or2 G_186_10__or (.o(N_164_i_0), .i1(G_186_10__and1), .i0(G_186_10__and0));
fdce NSTATUS_3_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(STATUS[3]), .ce(N_109_i), .c(CLK_c), .d(STATUS_8[3]));
fdce NSTATUS_4_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(STATUS[4]), .ce(N_109_i), .c(CLK_c), .d(STATUS_8[4]));
ibuf D_ibuf_6_ (.o(D_1_c[6]), .i(D[6]));
fdce NSTATUS_5_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(STATUS[5]), .ce(N_109_i), .c(CLK_c), .d(STATUS_8[5]));
fdce NSTATUS_6_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(STATUS[6]), .ce(N_109_i), .c(CLK_c), .d(STATUS_8[6]));
and2b1 NG_186_6__and0 (.o(G_186_6__and0), .i1(STATUS[4]), .i0(MASK[4]));
and2b1 NG_186_6__and1 (.o(G_186_6__and1), .i1(STATUS[3]), .i0(MASK[3]));
and3b1 NG_186_6__and2 (.o(G_186_6__and2), .i2(STATUS[3]), .i1(STATUS[4]), .i0(MASK[4]));
or3 G_186_6__or (.o(G_186_7), .i2(G_186_6__and2), .i1(G_186_6__and1), .i0(G_186_6__and0));
fdce NSTATUS_7_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(STATUS[7]), .ce(N_109_i), .c(CLK_c), .d(STATUS_8[7]));
ibuf D_ibuf_5_ (.o(D_1_c[5]), .i(D[5]));
or2 G_186_4__or (.o(G_186_5), .i1(G_186_1), .i0(G_186_3));
fdce NSTATE_0_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(STATE[0]), .ce(N_198_i), .c(CLK_c), .d(un44_2));
and2b1 NG_186_2__and0 (.o(G_186_2__and0), .i1(STATUS[2]), .i0(MASK[2]));
and2b1 NG_186_2__and1 (.o(G_186_2__and1), .i1(STATUS[7]), .i0(MASK[7]));
and3b1 NG_186_2__and2 (.o(G_186_2__and2), .i2(STATUS[7]), .i1(STATUS[2]), .i0(MASK[2]));
or3 G_186_2__or (.o(G_186_3), .i2(G_186_2__and2), .i1(G_186_2__and1), .i0(G_186_2__and0));
ibuf D_ibuf_4_ (.o(D_1_c[4]), .i(D[4]));
fdce NSTATE_1_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(STATE[1]), .ce(N_198_i), .c(CLK_c), .d(STATE_9[1]));
and2b1 NG_186_0__and0 (.o(G_186_0__and0), .i1(STATUS[6]), .i0(MASK[6]));
and2b1 NG_186_0__and1 (.o(G_186_0__and1), .i1(STATUS[5]), .i0(MASK[5]));
and3b1 NG_186_0__and2 (.o(G_186_0__and2), .i2(STATUS[5]), .i1(STATUS[6]), .i0(MASK[6]));
or3 G_186_0__or (.o(G_186_1), .i2(G_186_0__and2), .i1(G_186_0__and1), .i0(G_186_0__and0));
or4b1 G_110_2__or (.o(N_198_i), .i3(STATE[0]), .i2(STATE[1]), .i1(RST_c), .i0(ADS_c));
ibuf D_ibuf_3_ (.o(D_1_c[3]), .i(D[3]));
fdce NSTATUS_0_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(STATUS[0]), .ce(N_109_i), .c(CLK_c), .d(STATUS_8[0]));
or2b2 COUNT_cout8__or (.o(un16_i[8]), .i1(COUNT_c8), .i0(XVDD));
and2b2 NG_154__and0 (.o(G_154__and0), .i1(STATUS[2]), .i0(RST_c));
and2b1 NG_154__and1 (.o(G_154__and1), .i1(N_178), .i0(RST_c));
and2b1 NG_154__and2 (.o(G_154__and2), .i1(STATUS[1]), .i0(RST_c));
or3 G_154__or (.o(N_83_i), .i2(G_154__and2), .i1(G_154__and1), .i0(G_154__and0));
fdce NSTATUS_1_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(STATUS[1]), .ce(N_109_i), .c(CLK_c), .d(STATUS_8[1]));
and3b2 NCOUNT_g7__and0 (.o(COUNT_g7__and0), .i1(RST_c), .i0(COUNT_c7), .i2(COUNT[7]));
and3b2 NCOUNT_g7__and1 (.o(COUNT_g7__and1), .i1(RST_c), .i2(COUNT_c7), .i0(COUNT[7]));
and4b2 NCOUNT_g7__and2 (.o(COUNT_g7__and2), .i3(XGND), .i1(RST_c), .i0(COUNT_c7), .i2(COUNT[7]));
and4b2 NCOUNT_g7__and3 (.o(COUNT_g7__and3), .i3(XGND), .i1(RST_c), .i2(COUNT_c7), .i0(COUNT[7]));
and2 NCOUNT_g7__and4 (.o(COUNT_g7__and4), .i0(XGND), .i1(RST_c));
or5 COUNT_g7__or (.o(COUNT_fy7), .i4(COUNT_g7__and4), .i3(COUNT_g7__and3), .i2(COUNT_g7__and2), .i1(COUNT_g7__and1), .i0(COUNT_g7__and0));
and4b2 NG_109_2__and0 (.o(G_109_2__and0), .i3(STATE[1]), .i1(WR_c), .i2(STATE[0]), .i0(RST_c));
buff G_109_2__or (.o(N_197), .i(G_109_2__and0));
ibuf D_ibuf_2_ (.o(D_1_c[2]), .i(D[2]));
fdce NSTATUS_2_ (.gsr(thingt_globals.GSR), .clr(XGND), .q(STATUS[2]), .ce(N_109_i), .c(CLK_c), .d(STATUS_8[2]));
and3b2 NCOUNT_f6__and0 (.o(COUNT_f6__and0), .i1(RST_c), .i0(COUNT_c6), .i2(COUNT[6]));
and3b2 NCOUNT_f6__and1 (.o(COUNT_f6__and1), .i1(RST_c), .i2(COUNT_c6), .i0(COUNT[6]));
and4b2 NCOUNT_f6__and2 (.o(COUNT_f6__and2), .i3(XGND), .i1(RST_c), .i0(COUNT_c6), .i2(COUNT[6]));
and4b2 NCOUNT_f6__and3 (.o(COUNT_f6__and3), .i3(XGND), .i1(RST_c), .i2(COUNT_c6), .i0(COUNT[6]));
and2 NCOUNT_f6__and4 (.o(COUNT_f6__and4), .i0(XGND), .i1(RST_c));
or5 COUNT_f6__or (.o(COUNT_fx6), .i4(COUNT_f6__and4), .i3(COUNT_f6__and3), .i2(COUNT_f6__and2), .i1(COUNT_f6__and1), .i0(COUNT_f6__and0));
cy4 COUNT_c7_8__cy4 (.b0(), .add(), .b1(), .c7(CYMODE__4_7), .c6(CYMODE__4_6), .c5(CYMODE__4_5), .c4(CYMODE__4_4), .c3(CYMODE__4_3), .c2(CYMODE__4_2), .c1(CYMODE__4_1), .c0(CYMODE__4_0), .cout(COUNT_c8), .cout0(COUNT_c7), .a1(COUNT[7]), .a0(COUNT[6]), .cin(COUNT_c6));
cy4_18 COUNT_c7_8__cymode (.c7(CYMODE__4_7), .c6(CYMODE__4_6), .c5(CYMODE__4_5), .c4(CYMODE__4_4), .c3(CYMODE__4_3), .c2(CYMODE__4_2), .c1(CYMODE__4_1), .c0(CYMODE__4_0));
and2b2 NG_151__and0 (.o(G_151__and0), .i1(un16_i[8]), .i0(N_193));
and2b1 NG_151__and1 (.o(G_151__and1), .i1(RST_c), .i0(N_193));
or2 G_151__or (.o(N_109_i), .i1(G_151__and1), .i0(G_151__and0));
ibuf D_ibuf_1_ (.o(D_1_c[1]), .i(D[1]));
cy4 COUNT_c8__cy4 (.cout0(), .b0(), .a0(), .add(), .a1(), .b1(), .cout(), .c7(CYMODE__5_7), .c6(CYMODE__5_6), .c5(CYMODE__5_5), .c4(CYMODE__5_4), .c3(CYMODE__5_3), .c2(CYMODE__5_2), .c1(CYMODE__5_1), .c0(CYMODE__5_0), .cin(COUNT_c8));
cy4_42 COUNT_c8__cymode (.c7(CYMODE__5_7), .c6(CYMODE__5_6), .c5(CYMODE__5_5), .c4(CYMODE__5_4), .c3(CYMODE__5_3), .c2(CYMODE__5_2), .c1(CYMODE__5_1), .c0(CYMODE__5_0));
fdce NCOUNT_fy7 (.gsr(thingt_globals.GSR), .clr(XGND), .ce(XVDD), .q(COUNT[7]), .c(CLK_c), .d(COUNT_fy7));
endmodule

module thingt_globals();

wire GTS;
wire GSR;
endmodule

