//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

`timescale 1 ns / 1 ns

module DECODER(CODE, DECODE);

input	[1:0]	CODE;
output	[3:0]	DECODE;

//
// Please write a synthesizable description
// of a 2-bit decoder which will produce the following
// output for the specified input values:
// 
// Input	Output
//  00		 0001
//  01		 0010
//  10		 0100
//  11		 1000
// 


	reg	[3:0]	DECODE;

	always @(CODE)
	begin
		case (CODE)
			2'd0 : DECODE = 4'b0001;
			2'd1 : DECODE = 4'b0010;
			2'd2 : DECODE = 4'b0100;
			2'd3 : DECODE = 4'b1000;
		endcase
	end

endmodule
