//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

`timescale 1 ns / 1 ns

module SHIFTER(DI, DO, CK);

input			DI;
output			DO;
input			CK;

reg		[3:0]	SR;

//
// Please specify a synthesizable description of a 4-bit
// linear shifter, active on the rising edge of the clock.
// 

  always @(posedge CK) 
      SR <= {SR[2:0], DI};

  assign DO = SR[3];

endmodule
