//
//	Copyright (c) 2009 HDL Express.
//	All rights reserved.
//
//	E-mail: verilog@hdlexpress.com
//	World Wide Web: http://www.hdlexpress.com	
//

module EDGE_DETECTOR(I, RISE, FALL, CK);

input	I;
output	RISE;
output	FALL;
input	CK;

reg [1:0] SR;

//
// Please specify a synthesizable description of a glitch-free
// edge detector. The proper output should be asserted depending
// on the edge detected.
//

  always @(posedge CK) begin
	SR <= {SR[0],I}; 
  end

  assign RISE = (SR == 2'b01);
  assign FALL = (SR == 2'b10);

endmodule
